Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.SignatureVerifyResult Class Reference
Inheritance diagram for com.foxit.sdk.pdf.SignatureVerifyResult:

## Public Member Functions
| SignatureVerifyResult (SignatureVerifyResult other)
| Constructor, with another signature veirfy result object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
CertVerifyResultArray | getCertificateVerifyResults ()
| Get certificate verify results. More...
int | getLTVState ()
| Get LTV state that indicates if a signature is a LTV signature. More...
SignatureVerifyResultArray | getOCSPSigantureVerifyResults ()
| Get signature verify results for OCSP signature of each certificate. More...
DateTime | getSignatureCheckTime ()
| Get the time that is actually used to check signature. More...
int | getSignatureCheckTimeType ()
| Get the type of the time that is actually used to check siganture. More...
byte [] | getSignatureHashValue ()
| Get signature hash value. More...
String | getSignatureName ()
| Get signature name. More...
int | getSignatureState ()
| Get signature state. More...
SignatureVerifyResult | getTSTSignatureVerifyResult ()
| Get the verify result of time stamp token of this signature. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_LTVStateEnable = 1
| This means LTV is enabled.
static final int | e_LTVStateInactive = 0
| This means LTV is inactive.
static final int | e_LTVStateNotEnable = 2
| This means LTV is not enabled.

## Detailed Description

This class represents signature verify result.

## Constructor & Destructor Documentation

## ◆ SignatureVerifyResult()

com.foxit.sdk.pdf.SignatureVerifyResult.SignatureVerifyResult | ( | SignatureVerifyResult | other | ) |

Constructor, with another signature veirfy result object.

Parameters

  [in] | other | Another signature veirfy result object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SignatureVerifyResult.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCertificateVerifyResults()

CertVerifyResultArray com.foxit.sdk.pdf.SignatureVerifyResult.getCertificateVerifyResults | ( |  | ) |

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ getLTVState()

int com.foxit.sdk.pdf.SignatureVerifyResult.getLTVState | ( |  | ) |

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ getOCSPSigantureVerifyResults()

SignatureVerifyResultArray com.foxit.sdk.pdf.SignatureVerifyResult.getOCSPSigantureVerifyResults | ( |  | ) |

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ getSignatureCheckTime()

DateTime com.foxit.sdk.pdf.SignatureVerifyResult.getSignatureCheckTime | ( |  | ) |

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ getSignatureCheckTimeType()

int com.foxit.sdk.pdf.SignatureVerifyResult.getSignatureCheckTimeType | ( |  | ) |

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from com.foxit.sdk.pdf.LTVVerifier.e_SignatureCreationTime and this would be one of these values

## ◆ getSignatureHashValue()

byte[] com.foxit.sdk.pdf.SignatureVerifyResult.getSignatureHashValue | ( |  | ) |

Get signature hash value.

Returns
  Signature hash value.

## ◆ getSignatureName()

String com.foxit.sdk.pdf.SignatureVerifyResult.getSignatureName | ( |  | ) |

Get signature name.

Returns
  Signature name.

## ◆ getSignatureState()

int com.foxit.sdk.pdf.SignatureVerifyResult.getSignatureState | ( |  | ) |

Get signature state.

Returns
  Signature state. Please refer to values starting from com.foxit.sdk.pdf.Signature.e_StateUnknown and this would be one or combination of them.

## ◆ getTSTSignatureVerifyResult()

SignatureVerifyResult com.foxit.sdk.pdf.SignatureVerifyResult.getTSTSignatureVerifyResult | ( |  | ) |

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function SignatureVerifyResult.isEmpty .

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.SignatureVerifyResult.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.